GET
/integration/v1/assignments/learning_paths
List learning path assignments
List learning path assignments
operationId List learning path assignments
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
course_ids
|
array | optional | Filter by array of courses ids |
user_ids
|
array | optional | Filter by array of users ids |
group_ids
|
array | optional | Filter by array of groups ids |
learning_path_ids
|
array | optional | Filter by array of learning paths ids |
Responses
200
application/json body
| Field | Type | Required | Description |
|---|---|---|---|
(array)
|
array | optional | Assignments data |
learning_path_assignment_id
|
string (uuid) | optional | Learning path assignment id |
learning_path_id
|
string (uuid) | optional | Learning path id |
user_id
|
string (uuid) | optional | User id |
group_id
|
string (uuid) | optional | Group id |
total_courses
|
integer | optional | Total courses |
courses_total_duration
|
integer | optional | Courses total duration |
number_passed_courses
|
integer | optional | Number of passed courses |
total_course_lists
|
integer | optional | Total course lists |
total_progress_time
|
integer | optional | Total progress time |
progress
|
integer | optional | Progress 0-100 |
title
|
string | optional | Title |
description
|
string | optional | Description |
assigned_date
|
string (date) | optional | Assigned date |
access_opens_date
|
string (date) | optional | Access opens date |
access_closes_date
|
string (date) | optional | Access closes date |
to_all
|
boolean | optional | Is assigned to all users ? |
412 Invalid parameters
500 Server error
512 Specification violations